------------------------------------------------------------
-- VHDL pikasSheet
-- 2012 10 20 12 20 37
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL pikasSheet
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity pikasSheet Is
  port
  (
    CLK_BRD     : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=CLK_BRD
    SRAM0_A     : Out   STD_LOGIC_VECTOR(17 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=SRAM0_A[17..0]
    SRAM0_D     : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=SRAM0_D[15..0]
    SRAM0_E     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM0_E
    SRAM0_LB    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM0_LB
    SRAM0_OE    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM0_OE
    SRAM0_UB    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM0_UB
    SRAM0_W     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM0_W
    SRAM1_A     : Out   STD_LOGIC_VECTOR(17 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=SRAM1_A[17..0]
    SRAM1_D     : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=SRAM1_D[15..0]
    SRAM1_E     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM1_E
    SRAM1_LB    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM1_LB
    SRAM1_OE    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM1_OE
    SRAM1_UB    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM1_UB
    SRAM1_W     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM1_W
    TEST_BUTTON : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TEST_BUTTON
    TFT_BLIGHT  : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TFT_BLIGHT
    TFT_CS      : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TFT_CS
    TFT_DB      : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=TFT_DB[15..0]
    TFT_RD      : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TFT_RD
    TFT_RESET   : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TFT_RESET
    TFT_RS      : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TFT_RS
    TFT_WR      : Out   STD_LOGIC                            -- ObjectKind=Port|PrimaryId=TFT_WR
  );
  attribute MacroCell : boolean;

End pikasSheet;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of pikasSheet is
   Component INV                                             -- ObjectKind=Part|PrimaryId=U2|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U2-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U2-O
      );
   End Component;

   Component IOBUF16B                                        -- ObjectKind=Part|PrimaryId=U1|SecondaryId=1
      port
      (
        I  : in    STD_LOGIC_VECTOR(15 downto 0);            -- ObjectKind=Pin|PrimaryId=U1-I[15..0]
        IO : inout STD_LOGIC_VECTOR(15 downto 0);            -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        O  : out   STD_LOGIC_VECTOR(15 downto 0);            -- ObjectKind=Pin|PrimaryId=U1-O[15..0]
        T  : in    STD_LOGIC                                 -- ObjectKind=Pin|PrimaryId=U1-T
      );
   End Component;

   Component pikasBus                                        -- ObjectKind=Sheet Symbol|PrimaryId=U_pikasBus
      port
      (
        CLK_I                      : in    STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-CLK_I
        RST_I                      : in    STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-RST_I
        WB_ILI9320_1_BUF_I         : in    STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.BUF_I[15..0]
        WB_ILI9320_1_BUF_O         : out   STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.BUF_O[15..0]
        WB_ILI9320_1_BUF_TRI       : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.BUF_TRI
        WB_ILI9320_1_NCS           : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.NCS
        WB_ILI9320_1_NRD           : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.NRD
        WB_ILI9320_1_NRESET        : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.NRESET
        WB_ILI9320_1_NWR           : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.NWR
        WB_ILI9320_1_RS            : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.RS
        WB_MEM_CTRL_SRAM_1_MEM0_A  : out   STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.A[17..0]
        WB_MEM_CTRL_SRAM_1_MEM0_CE : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.CE
        WB_MEM_CTRL_SRAM_1_MEM0_D  : inout STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_LB : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.LB
        WB_MEM_CTRL_SRAM_1_MEM0_OE : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.OE
        WB_MEM_CTRL_SRAM_1_MEM0_UB : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.UB
        WB_MEM_CTRL_SRAM_1_MEM0_WE : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.WE
        WB_MEM_CTRL_SRAM_1_MEM1_A  : out   STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.A[17..0]
        WB_MEM_CTRL_SRAM_1_MEM1_CE : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.CE
        WB_MEM_CTRL_SRAM_1_MEM1_D  : inout STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_LB : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.LB
        WB_MEM_CTRL_SRAM_1_MEM1_OE : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.OE
        WB_MEM_CTRL_SRAM_1_MEM1_UB : out   STD_LOGIC;        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.UB
        WB_MEM_CTRL_SRAM_1_MEM1_WE : out   STD_LOGIC         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.WE
      );
   End Component;


    Signal PinSignal_U_pikasBus_WB_ILI9320_1_BUF_O         : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=NetU1_I[15..0]
    Signal PinSignal_U_pikasBus_WB_ILI9320_1_BUF_TRI       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU1_T
    Signal PinSignal_U_pikasBus_WB_ILI9320_1_NCS           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TFT_CS
    Signal PinSignal_U_pikasBus_WB_ILI9320_1_NRD           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TFT_RD
    Signal PinSignal_U_pikasBus_WB_ILI9320_1_NRESET        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TFT_RESET
    Signal PinSignal_U_pikasBus_WB_ILI9320_1_NWR           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TFT_WR
    Signal PinSignal_U_pikasBus_WB_ILI9320_1_RS            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TFT_RS
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_A  : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=SRAM0_A[17..0]
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_CE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM0_E
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_LB : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM0_LB
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_OE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM0_OE
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_UB : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM0_UB
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_WE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM0_W
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_A  : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=SRAM1_A[17..0]
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_CE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM1_E
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_LB : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM1_LB
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_OE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM1_OE
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_UB : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM1_UB
    Signal PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_WE : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SRAM1_W
    Signal PinSignal_U1_O                                  : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=NetU1_O[15..0]
    Signal PinSignal_U2_O                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU2_O
    Signal PowerSignal_VCC                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

begin
    U_pikasBus : pikasBus                                    -- ObjectKind=Sheet Symbol|PrimaryId=U_pikasBus
      Port Map
      (
        CLK_I                         => CLK_BRD,            -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-CLK_I
        RST_I                         => PinSignal_U2_O,     -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-RST_I
        WB_ILI9320_1_BUF_I            => PinSignal_U1_O,     -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.BUF_I[15..0]
        WB_ILI9320_1_BUF_O            => PinSignal_U_pikasBus_WB_ILI9320_1_BUF_O, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.BUF_O[15..0]
        WB_ILI9320_1_BUF_TRI          => PinSignal_U_pikasBus_WB_ILI9320_1_BUF_TRI, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.BUF_TRI
        WB_ILI9320_1_NCS              => PinSignal_U_pikasBus_WB_ILI9320_1_NCS, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.NCS
        WB_ILI9320_1_NRD              => PinSignal_U_pikasBus_WB_ILI9320_1_NRD, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.NRD
        WB_ILI9320_1_NRESET           => PinSignal_U_pikasBus_WB_ILI9320_1_NRESET, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.NRESET
        WB_ILI9320_1_NWR              => PinSignal_U_pikasBus_WB_ILI9320_1_NWR, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.NWR
        WB_ILI9320_1_RS               => PinSignal_U_pikasBus_WB_ILI9320_1_RS, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_ILI9320_1.RS
        WB_MEM_CTRL_SRAM_1_MEM0_A     => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_A, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.A[17..0]
        WB_MEM_CTRL_SRAM_1_MEM0_CE    => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_CE, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.CE
        WB_MEM_CTRL_SRAM_1_MEM0_D(15) => SRAM0_D(15),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(14) => SRAM0_D(14),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(13) => SRAM0_D(13),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(12) => SRAM0_D(12),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(11) => SRAM0_D(11),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(10) => SRAM0_D(10),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(9)  => SRAM0_D(9),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(8)  => SRAM0_D(8),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(7)  => SRAM0_D(7),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(6)  => SRAM0_D(6),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(5)  => SRAM0_D(5),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(4)  => SRAM0_D(4),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(3)  => SRAM0_D(3),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(2)  => SRAM0_D(2),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(1)  => SRAM0_D(1),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_D(0)  => SRAM0_D(0),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM0_LB    => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_LB, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.LB
        WB_MEM_CTRL_SRAM_1_MEM0_OE    => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_OE, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.OE
        WB_MEM_CTRL_SRAM_1_MEM0_UB    => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_UB, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.UB
        WB_MEM_CTRL_SRAM_1_MEM0_WE    => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_WE, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM0.WE
        WB_MEM_CTRL_SRAM_1_MEM1_A     => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_A, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.A[17..0]
        WB_MEM_CTRL_SRAM_1_MEM1_CE    => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_CE, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.CE
        WB_MEM_CTRL_SRAM_1_MEM1_D(15) => SRAM1_D(15),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(14) => SRAM1_D(14),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(13) => SRAM1_D(13),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(12) => SRAM1_D(12),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(11) => SRAM1_D(11),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(10) => SRAM1_D(10),        -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(9)  => SRAM1_D(9),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(8)  => SRAM1_D(8),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(7)  => SRAM1_D(7),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(6)  => SRAM1_D(6),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(5)  => SRAM1_D(5),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(4)  => SRAM1_D(4),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(3)  => SRAM1_D(3),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(2)  => SRAM1_D(2),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(1)  => SRAM1_D(1),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_D(0)  => SRAM1_D(0),         -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
        WB_MEM_CTRL_SRAM_1_MEM1_LB    => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_LB, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.LB
        WB_MEM_CTRL_SRAM_1_MEM1_OE    => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_OE, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.OE
        WB_MEM_CTRL_SRAM_1_MEM1_UB    => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_UB, -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.UB
        WB_MEM_CTRL_SRAM_1_MEM1_WE    => PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_WE -- ObjectKind=Sheet Entry|PrimaryId=pikasBus.OpenBus-WB_MEM_CTRL_SRAM_1_MEM1.WE
      );

    U2 : INV                                                 -- ObjectKind=Part|PrimaryId=U2|SecondaryId=1
      Port Map
      (
        I => TEST_BUTTON,                                    -- ObjectKind=Pin|PrimaryId=U2-I
        O => PinSignal_U2_O                                  -- ObjectKind=Pin|PrimaryId=U2-O
      );

    U1 : IOBUF16B                                            -- ObjectKind=Part|PrimaryId=U1|SecondaryId=1
      Port Map
      (
        I      => PinSignal_U_pikasBus_WB_ILI9320_1_BUF_O,   -- ObjectKind=Pin|PrimaryId=U1-I[15..0]
        IO(15) => TFT_DB(15),                                -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(14) => TFT_DB(14),                                -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(13) => TFT_DB(13),                                -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(12) => TFT_DB(12),                                -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(11) => TFT_DB(11),                                -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(10) => TFT_DB(10),                                -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(9)  => TFT_DB(9),                                 -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(8)  => TFT_DB(8),                                 -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(7)  => TFT_DB(7),                                 -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(6)  => TFT_DB(6),                                 -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(5)  => TFT_DB(5),                                 -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(4)  => TFT_DB(4),                                 -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(3)  => TFT_DB(3),                                 -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(2)  => TFT_DB(2),                                 -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(1)  => TFT_DB(1),                                 -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        IO(0)  => TFT_DB(0),                                 -- ObjectKind=Pin|PrimaryId=U1-IO[15..0]
        O      => PinSignal_U1_O,                            -- ObjectKind=Pin|PrimaryId=U1-O[15..0]
        T      => PinSignal_U_pikasBus_WB_ILI9320_1_BUF_TRI  -- ObjectKind=Pin|PrimaryId=U1-T
      );

    -- Signal Assignments
    ---------------------
    PowerSignal_VCC <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    SRAM0_A         <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_A; -- ObjectKind=Net|PrimaryId=SRAM0_A[17..0]
    SRAM0_E         <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_CE; -- ObjectKind=Net|PrimaryId=SRAM0_E
    SRAM0_LB        <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_LB; -- ObjectKind=Net|PrimaryId=SRAM0_LB
    SRAM0_OE        <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_OE; -- ObjectKind=Net|PrimaryId=SRAM0_OE
    SRAM0_UB        <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_UB; -- ObjectKind=Net|PrimaryId=SRAM0_UB
    SRAM0_W         <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM0_WE; -- ObjectKind=Net|PrimaryId=SRAM0_W
    SRAM1_A         <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_A; -- ObjectKind=Net|PrimaryId=SRAM1_A[17..0]
    SRAM1_E         <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_CE; -- ObjectKind=Net|PrimaryId=SRAM1_E
    SRAM1_LB        <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_LB; -- ObjectKind=Net|PrimaryId=SRAM1_LB
    SRAM1_OE        <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_OE; -- ObjectKind=Net|PrimaryId=SRAM1_OE
    SRAM1_UB        <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_UB; -- ObjectKind=Net|PrimaryId=SRAM1_UB
    SRAM1_W         <= PinSignal_U_pikasBus_WB_MEM_CTRL_SRAM_1_MEM1_WE; -- ObjectKind=Net|PrimaryId=SRAM1_W
    TFT_BLIGHT      <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=VCC
    TFT_CS          <= PinSignal_U_pikasBus_WB_ILI9320_1_NCS; -- ObjectKind=Net|PrimaryId=TFT_CS
    TFT_RD          <= PinSignal_U_pikasBus_WB_ILI9320_1_NRD; -- ObjectKind=Net|PrimaryId=TFT_RD
    TFT_RESET       <= PinSignal_U_pikasBus_WB_ILI9320_1_NRESET; -- ObjectKind=Net|PrimaryId=TFT_RESET
    TFT_RS          <= PinSignal_U_pikasBus_WB_ILI9320_1_RS; -- ObjectKind=Net|PrimaryId=TFT_RS
    TFT_WR          <= PinSignal_U_pikasBus_WB_ILI9320_1_NWR; -- ObjectKind=Net|PrimaryId=TFT_WR

end structure;
------------------------------------------------------------

