#include "embedded_fpga_based_communication_portal.lsl"
#ifdef __SW_LSL
#include __SW_LSL
#endif

derivative system
{
    core sw
    {
        architecture = __SW_ARCH;
    }

    memory MICROBLAZE_1
    {
        mau = 8;
        type = rom;
        size = 4096;
        map(dest=bus:sw:addr_bus, src_offset=0x0, dest_offset=0x0, size=4096);
    }

    memory SRAM_ROM
    {
        mau = 8;
        type = rom;
        size = 512k;
        map(dest=bus:sw:addr_bus, src_offset=0x0, dest_offset=0x1000000, size=512k);
    }

    memory SRAM_VRAM
    {
        mau = 8;
        type = ram;
        size = 512k;
        map(dest=bus:sw:addr_bus, src_offset=0x0, dest_offset=0x01080000, size=512k);
    }



    // Software Platform locate rules
    #ifdef __SWPLATFORM__
    #include "framecfg\swplatform.lsl"
    #endif




}
