------------------------------------------------------------
-- VHDL pikasBus
-- 2012 10 20 12 20 38
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL pikasBus
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity pikasBus Is
  port
  (
    CLK_I                      : In    STD_LOGIC;            -- ObjectKind=Port|PrimaryId=CLK_I
    RST_I                      : In    STD_LOGIC;            -- ObjectKind=Port|PrimaryId=RST_I
    WB_ILI9320_1_BUF_I         : In    STD_LOGIC_VECTOR(15 DOWNTO 0); -- ObjectKind=Port|PrimaryId=WB_ILI9320_1.BUF_I[15..0]
    WB_ILI9320_1_BUF_O         : Out   STD_LOGIC_VECTOR(15 DOWNTO 0); -- ObjectKind=Port|PrimaryId=WB_ILI9320_1.BUF_O[15..0]
    WB_ILI9320_1_BUF_TRI       : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_ILI9320_1.BUF_TRI
    WB_ILI9320_1_nCS           : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_ILI9320_1.nCS
    WB_ILI9320_1_nRD           : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_ILI9320_1.nRD
    WB_ILI9320_1_nRESET        : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_ILI9320_1.nRESET
    WB_ILI9320_1_nWR           : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_ILI9320_1.nWR
    WB_ILI9320_1_RS            : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_ILI9320_1.RS
    WB_MEM_CTRL_SRAM_1_MEM0_A  : Out   STD_LOGIC_VECTOR(17 DOWNTO 0); -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.A[17..0]
    WB_MEM_CTRL_SRAM_1_MEM0_CE : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.CE
    WB_MEM_CTRL_SRAM_1_MEM0_D  : InOut STD_LOGIC_VECTOR(15 DOWNTO 0); -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.D[15..0]
    WB_MEM_CTRL_SRAM_1_MEM0_LB : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.LB
    WB_MEM_CTRL_SRAM_1_MEM0_OE : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.OE
    WB_MEM_CTRL_SRAM_1_MEM0_UB : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.UB
    WB_MEM_CTRL_SRAM_1_MEM0_WE : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.WE
    WB_MEM_CTRL_SRAM_1_MEM1_A  : Out   STD_LOGIC_VECTOR(17 DOWNTO 0); -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.A[17..0]
    WB_MEM_CTRL_SRAM_1_MEM1_CE : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.CE
    WB_MEM_CTRL_SRAM_1_MEM1_D  : InOut STD_LOGIC_VECTOR(15 DOWNTO 0); -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.D[15..0]
    WB_MEM_CTRL_SRAM_1_MEM1_LB : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.LB
    WB_MEM_CTRL_SRAM_1_MEM1_OE : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.OE
    WB_MEM_CTRL_SRAM_1_MEM1_UB : Out   STD_LOGIC;            -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.UB
    WB_MEM_CTRL_SRAM_1_MEM1_WE : Out   STD_LOGIC             -- ObjectKind=Port|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.WE
  );
  attribute MacroCell : boolean;

End pikasBus;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of pikasBus is
   Component Configurable_MICROBLAZE_1                       -- ObjectKind=Part|PrimaryId=MICROBLAZE_1|SecondaryId=1
      port
      (
        CLK_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-CLK_I
        INT_I    : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-INT_I[31..0]
        IO_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_ACK_I
        IO_ADR_O : out STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_ADR_O[23..0]
        IO_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_CYC_O
        IO_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_DAT_I[31..0]
        IO_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_DAT_O[31..0]
        IO_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_SEL_O[3..0]
        IO_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_STB_O
        IO_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_WE_O
        ME_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_ACK_I
        ME_ADR_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_ADR_O[31..0]
        ME_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_CYC_O
        ME_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_DAT_I[31..0]
        ME_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_DAT_O[31..0]
        ME_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_SEL_O[3..0]
        ME_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_STB_O
        ME_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_WE_O
        RST_I    : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-RST_I
      );
   End Component;

   Component Configurable_WB_INTERCON_1                      -- ObjectKind=Part|PrimaryId=WB_INTERCON_1|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ADR_I[23..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_O[31..0]
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(8 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_ADR_O[8..0]
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_I[31..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_O[31..0]
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_STB_O
        s0_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_WE_O
      );
   End Component;

   Component Configurable_WB_INTERCON_2                      -- ObjectKind=Part|PrimaryId=WB_INTERCON_2|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ADR_I[31..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_O[31..0]
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(19 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ADR_O[19..0]
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_I[31..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_O[31..0]
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_STB_O
        s0_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_WE_O
      );
   End Component;

   Component Configurable_WB_MEM_CTRL_SRAM_1                 -- ObjectKind=Part|PrimaryId=WB_MEM_CTRL_SRAM_1|SecondaryId=1
      port
      (
        ACK_O    : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-ACK_O
        ADR_I    : in    STD_LOGIC_VECTOR(19 downto 0);      -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-ADR_I[19..0]
        CLK_I    : in    STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-CLK_I
        CYC_I    : in    STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-CYC_I
        DAT_I    : in    STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-DAT_I[31..0]
        DAT_O    : out   STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-DAT_O[31..0]
        RST_I    : in    STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-RST_I
        SEL_I    : in    STD_LOGIC_VECTOR(3 downto 0);       -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SEL_I[3..0]
        SRAM0_A  : out   STD_LOGIC_VECTOR(17 downto 0);      -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_A[17..0]
        SRAM0_CE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_CE
        SRAM0_D  : inout STD_LOGIC_VECTOR(15 downto 0);      -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_LB : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_LB
        SRAM0_OE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_OE
        SRAM0_UB : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_UB
        SRAM0_WE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_WE
        SRAM1_A  : out   STD_LOGIC_VECTOR(17 downto 0);      -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_A[17..0]
        SRAM1_CE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_CE
        SRAM1_D  : inout STD_LOGIC_VECTOR(15 downto 0);      -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_LB : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_LB
        SRAM1_OE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_OE
        SRAM1_UB : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_UB
        SRAM1_WE : out   STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_WE
        STB_I    : in    STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-STB_I
        WE_I     : in    STD_LOGIC                           -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-WE_I
      );
   End Component;

   Component Configurable_WB_MULTIMASTER_1                   -- ObjectKind=Part|PrimaryId=WB_MULTIMASTER_1|SecondaryId=1
      port
      (
        CLK_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-CLK_I
        m0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_ACK_I
        m0_ADR_O : out STD_LOGIC_VECTOR(19 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_ADR_O[19..0]
        m0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_CYC_O
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_DAT_O[31..0]
        m0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_SEL_O[3..0]
        m0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_STB_O
        m0_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_WE_O
        RST_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-RST_I
        s0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_ACK_O
        s0_ADR_I : in  STD_LOGIC_VECTOR(19 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_ADR_I[19..0]
        s0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_CYC_I
        s0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_DAT_I[31..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_DAT_O[31..0]
        s0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_SEL_I[3..0]
        s0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_STB_I
        s0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_WE_I
        s1_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_ACK_O
        s1_ADR_I : in  STD_LOGIC_VECTOR(19 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_ADR_I[19..0]
        s1_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_CYC_I
        s1_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_DAT_I[31..0]
        s1_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_DAT_O[31..0]
        s1_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_SEL_I[3..0]
        s1_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_STB_I
        s1_WE_I  : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_WE_I
      );
   End Component;

   Component J16S_16B                                        -- ObjectKind=Part|PrimaryId=MICROBLAZE_1_HI|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I10
        I11 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I11
        I12 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I12
        I13 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I13
        I14 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I14
        I15 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I15
        O   : out STD_LOGIC_VECTOR(15 downto 0)              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-O[15..0]
      );
   End Component;

   Component WB_ILI9320                                      -- ObjectKind=Part|PrimaryId=WB_ILI9320_1|SecondaryId=1
      port
      (
        DB_I     : in  STD_LOGIC_VECTOR(15 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-DB_I[15..0]
        DB_O     : out STD_LOGIC_VECTOR(15 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-DB_O[15..0]
        DB_TRI   : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-DB_TRI
        io_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_ACK_O
        io_ADR_I : in  STD_LOGIC_VECTOR(8 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_ADR_I[8..0]
        io_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_CLK_I
        io_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_CYC_I
        io_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_DAT_I[31..0]
        io_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_DAT_O[31..0]
        io_INT_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_INT_O
        io_RST_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_RST_I
        io_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_STB_I
        io_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_WE_I
        me_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_ACK_I
        me_ADR_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_ADR_O[31..0]
        me_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_CYC_O
        me_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_DAT_I[31..0]
        me_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_SEL_O[3..0]
        me_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_STB_O
        me_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_WE_O
        nCS      : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-nCS
        nRD      : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-nRD
        nRESET   : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-nRESET
        nWR      : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-nWR
        RS       : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-RS
      );
   End Component;


    Signal NamedSignal_CLK_I                                           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK_I
    Signal NamedSignal_GND1_BUS                                        : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    Signal NamedSignal_GND2_BUS                                        : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[31..0]
    Signal NamedSignal_INTERRUPT_MICROBLAZE_1_INT_I                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MICROBLAZE_1_INT_I[31..0]
    Signal NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_ACK            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_ACK
    Signal NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_ADR            : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_ADR[23..0]
    Signal NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_CYC            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_CYC
    Signal NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATIO          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATIO[31..0]
    Signal NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATOI          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATOI[31..0]
    Signal NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_SEL            : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_SEL[3..0]
    Signal NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_STB            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_STB
    Signal NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_WE             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_WE
    Signal NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_ACK            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_ACK
    Signal NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_ADR            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_ADR[31..0]
    Signal NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_CYC            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_CYC
    Signal NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATIO          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATIO[31..0]
    Signal NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATOI          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATOI[31..0]
    Signal NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_SEL            : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_SEL[3..0]
    Signal NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_STB            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_STB
    Signal NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_WE             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_WE
    Signal NamedSignal_RST_I                                           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST_I
    Signal NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ACK         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ACK
    Signal NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ADR         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ADR[31..0]
    Signal NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_CYC         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_CYC
    Signal NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_DATIO       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[31..0]
    Signal NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_DATOI       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_DATOI[31..0]
    Signal NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_SEL         : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_SEL[3..0]
    Signal NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_STB         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_STB
    Signal NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_WE          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_WE
    Signal NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_ACK            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_ACK
    Signal NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_ADR            : STD_LOGIC_VECTOR(8 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_ADR[8..0]
    Signal NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_CYC            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_CYC
    Signal NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATIO          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATIO[31..0]
    Signal NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATOI          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATOI[31..0]
    Signal NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_STB            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_STB
    Signal NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_WE             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_WE
    Signal NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ACK        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ACK
    Signal NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ADR        : STD_LOGIC_VECTOR(19 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ADR[19..0]
    Signal NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_CYC        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_CYC
    Signal NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATIO      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATIO[31..0]
    Signal NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATOI      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATOI[31..0]
    Signal NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_SEL        : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_SEL[3..0]
    Signal NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_STB        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_STB
    Signal NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_WE         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_WE
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ACK   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ACK
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ADR   : STD_LOGIC_VECTOR(19 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ADR[19..0]
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_CYC   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_CYC
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATIO : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATIO[31..0]
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATOI : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATOI[31..0]
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_SEL   : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_SEL[3..0]
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_STB   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_STB
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_WE    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_WE
    Signal PinSignal_MICROBLAZE_1_HI_O                                 : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MICROBLAZE_1_INT_I[31..0]
    Signal PinSignal_MICROBLAZE_1_IO_ADR_O                             : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_ADR[23..0]
    Signal PinSignal_MICROBLAZE_1_IO_CYC_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_CYC
    Signal PinSignal_MICROBLAZE_1_IO_DAT_O                             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATIO[31..0]
    Signal PinSignal_MICROBLAZE_1_IO_SEL_O                             : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_SEL[3..0]
    Signal PinSignal_MICROBLAZE_1_IO_STB_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_STB
    Signal PinSignal_MICROBLAZE_1_IO_WE_O                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_WE
    Signal PinSignal_MICROBLAZE_1_LO_O                                 : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MICROBLAZE_1_INT_I[15..0]
    Signal PinSignal_MICROBLAZE_1_ME_ADR_O                             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_ADR[31..0]
    Signal PinSignal_MICROBLAZE_1_ME_CYC_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_CYC
    Signal PinSignal_MICROBLAZE_1_ME_DAT_O                             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATIO[31..0]
    Signal PinSignal_MICROBLAZE_1_ME_SEL_O                             : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_SEL[3..0]
    Signal PinSignal_MICROBLAZE_1_ME_STB_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_STB
    Signal PinSignal_MICROBLAZE_1_ME_WE_O                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_WE
    Signal PinSignal_WB_ILI9320_1_DB_O                                 : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.BUF_O[15..0]
    Signal PinSignal_WB_ILI9320_1_DB_TRI                               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.BUF_TRI
    Signal PinSignal_WB_ILI9320_1_io_ACK_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_ACK
    Signal PinSignal_WB_ILI9320_1_io_DAT_O                             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATOI[31..0]
    Signal PinSignal_WB_ILI9320_1_io_INT_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_IO_INT_O
    Signal PinSignal_WB_ILI9320_1_me_ADR_O                             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ADR[31..0]
    Signal PinSignal_WB_ILI9320_1_me_CYC_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_CYC
    Signal PinSignal_WB_ILI9320_1_me_SEL_O                             : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_SEL[3..0]
    Signal PinSignal_WB_ILI9320_1_me_STB_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_STB
    Signal PinSignal_WB_ILI9320_1_me_WE_O                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_WE
    Signal PinSignal_WB_ILI9320_1_nCS                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.nCS
    Signal PinSignal_WB_ILI9320_1_nRD                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.nRD
    Signal PinSignal_WB_ILI9320_1_nRESET                               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.nRESET
    Signal PinSignal_WB_ILI9320_1_nWR                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.nWR
    Signal PinSignal_WB_ILI9320_1_RS                                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.RS
    Signal PinSignal_WB_INTERCON_1_m0_ACK_O                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_ACK
    Signal PinSignal_WB_INTERCON_1_m0_DAT_O                            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATOI[31..0]
    Signal PinSignal_WB_INTERCON_1_s0_ADR_O                            : STD_LOGIC_VECTOR(8 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_ADR[8..0]
    Signal PinSignal_WB_INTERCON_1_s0_CYC_O                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_CYC
    Signal PinSignal_WB_INTERCON_1_s0_DAT_O                            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATIO[31..0]
    Signal PinSignal_WB_INTERCON_1_s0_SEL_O                            : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    Signal PinSignal_WB_INTERCON_1_s0_STB_O                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_STB
    Signal PinSignal_WB_INTERCON_1_s0_WE_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_WE
    Signal PinSignal_WB_INTERCON_2_m0_ACK_O                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_ACK
    Signal PinSignal_WB_INTERCON_2_m0_DAT_O                            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATOI[31..0]
    Signal PinSignal_WB_INTERCON_2_s0_ADR_O                            : STD_LOGIC_VECTOR(19 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ADR[19..0]
    Signal PinSignal_WB_INTERCON_2_s0_CYC_O                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_CYC
    Signal PinSignal_WB_INTERCON_2_s0_DAT_O                            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATIO[31..0]
    Signal PinSignal_WB_INTERCON_2_s0_SEL_O                            : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_SEL[3..0]
    Signal PinSignal_WB_INTERCON_2_s0_STB_O                            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_STB
    Signal PinSignal_WB_INTERCON_2_s0_WE_O                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_WE
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_ACK_O                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ACK
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_DAT_O                          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATOI[31..0]
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_A                        : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.A[17..0]
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_CE                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.CE
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_LB                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.LB
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_OE                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.OE
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_UB                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.UB
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_WE                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.WE
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_A                        : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.A[17..0]
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_CE                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.CE
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_LB                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.LB
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_OE                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.OE
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_UB                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.UB
    Signal PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_WE                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.WE
    Signal PinSignal_WB_MULTIMASTER_1_m0_ADR_O                         : STD_LOGIC_VECTOR(19 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ADR[19..0]
    Signal PinSignal_WB_MULTIMASTER_1_m0_CYC_O                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_CYC
    Signal PinSignal_WB_MULTIMASTER_1_m0_DAT_O                         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATIO[31..0]
    Signal PinSignal_WB_MULTIMASTER_1_m0_SEL_O                         : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_SEL[3..0]
    Signal PinSignal_WB_MULTIMASTER_1_m0_STB_O                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_STB
    Signal PinSignal_WB_MULTIMASTER_1_m0_WE_O                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_WE
    Signal PinSignal_WB_MULTIMASTER_1_s0_ACK_O                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ACK
    Signal PinSignal_WB_MULTIMASTER_1_s0_DAT_O                         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_DATOI[31..0]
    Signal PinSignal_WB_MULTIMASTER_1_s1_ACK_O                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ACK
    Signal PinSignal_WB_MULTIMASTER_1_s1_DAT_O                         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATOI[31..0]
    Signal PowerSignal_GND                                             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND

begin
    WB_MULTIMASTER_1 : Configurable_WB_MULTIMASTER_1         -- ObjectKind=Part|PrimaryId=WB_MULTIMASTER_1|SecondaryId=1
      Port Map
      (
        CLK_I    => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-CLK_I
        m0_ACK_I => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ACK, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_ACK_I
        m0_ADR_O => PinSignal_WB_MULTIMASTER_1_m0_ADR_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_ADR_O[19..0]
        m0_CYC_O => PinSignal_WB_MULTIMASTER_1_m0_CYC_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_CYC_O
        m0_DAT_I => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATOI, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_WB_MULTIMASTER_1_m0_DAT_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_DAT_O[31..0]
        m0_SEL_O => PinSignal_WB_MULTIMASTER_1_m0_SEL_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_SEL_O[3..0]
        m0_STB_O => PinSignal_WB_MULTIMASTER_1_m0_STB_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_STB_O
        m0_WE_O  => PinSignal_WB_MULTIMASTER_1_m0_WE_O,      -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_WE_O
        RST_I    => RST_I,                                   -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-RST_I
        s0_ACK_O => PinSignal_WB_MULTIMASTER_1_s0_ACK_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_ACK_O
        s0_ADR_I => NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ADR(19 downto 0), -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_ADR_I[19..0]
        s0_CYC_I => NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_CYC, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_CYC_I
        s0_DAT_I => NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_DATIO, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_DAT_I[31..0]
        s0_DAT_O => PinSignal_WB_MULTIMASTER_1_s0_DAT_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_DAT_O[31..0]
        s0_SEL_I => NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_SEL, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_SEL_I[3..0]
        s0_STB_I => NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_STB, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_STB_I
        s0_WE_I  => NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_WE, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_WE_I
        s1_ACK_O => PinSignal_WB_MULTIMASTER_1_s1_ACK_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_ACK_O
        s1_ADR_I => NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ADR, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_ADR_I[19..0]
        s1_CYC_I => NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_CYC, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_CYC_I
        s1_DAT_I => NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATIO, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_DAT_I[31..0]
        s1_DAT_O => PinSignal_WB_MULTIMASTER_1_s1_DAT_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_DAT_O[31..0]
        s1_SEL_I => NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_SEL, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_SEL_I[3..0]
        s1_STB_I => NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_STB, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_STB_I
        s1_WE_I  => NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_WE -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_WE_I
      );

    WB_MEM_CTRL_SRAM_1 : Configurable_WB_MEM_CTRL_SRAM_1     -- ObjectKind=Part|PrimaryId=WB_MEM_CTRL_SRAM_1|SecondaryId=1
      Port Map
      (
        ACK_O       => PinSignal_WB_MEM_CTRL_SRAM_1_ACK_O,   -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-ACK_O
        ADR_I       => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ADR, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-ADR_I[19..0]
        CLK_I       => NamedSignal_CLK_I,                    -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-CLK_I
        CYC_I       => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_CYC, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-CYC_I
        DAT_I       => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATIO, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-DAT_I[31..0]
        DAT_O       => PinSignal_WB_MEM_CTRL_SRAM_1_DAT_O,   -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-DAT_O[31..0]
        RST_I       => NamedSignal_RST_I,                    -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-RST_I
        SEL_I       => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_SEL, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SEL_I[3..0]
        SRAM0_A     => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_A, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_A[17..0]
        SRAM0_CE    => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_CE, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_CE
        SRAM0_D(15) => WB_MEM_CTRL_SRAM_1_MEM0_D(15),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(14) => WB_MEM_CTRL_SRAM_1_MEM0_D(14),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(13) => WB_MEM_CTRL_SRAM_1_MEM0_D(13),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(12) => WB_MEM_CTRL_SRAM_1_MEM0_D(12),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(11) => WB_MEM_CTRL_SRAM_1_MEM0_D(11),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(10) => WB_MEM_CTRL_SRAM_1_MEM0_D(10),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(9)  => WB_MEM_CTRL_SRAM_1_MEM0_D(9),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(8)  => WB_MEM_CTRL_SRAM_1_MEM0_D(8),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(7)  => WB_MEM_CTRL_SRAM_1_MEM0_D(7),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(6)  => WB_MEM_CTRL_SRAM_1_MEM0_D(6),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(5)  => WB_MEM_CTRL_SRAM_1_MEM0_D(5),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(4)  => WB_MEM_CTRL_SRAM_1_MEM0_D(4),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(3)  => WB_MEM_CTRL_SRAM_1_MEM0_D(3),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(2)  => WB_MEM_CTRL_SRAM_1_MEM0_D(2),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(1)  => WB_MEM_CTRL_SRAM_1_MEM0_D(1),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_D(0)  => WB_MEM_CTRL_SRAM_1_MEM0_D(0),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_D[15..0]
        SRAM0_LB    => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_LB, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_LB
        SRAM0_OE    => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_OE, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_OE
        SRAM0_UB    => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_UB, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_UB
        SRAM0_WE    => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_WE, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM0_WE
        SRAM1_A     => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_A, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_A[17..0]
        SRAM1_CE    => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_CE, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_CE
        SRAM1_D(15) => WB_MEM_CTRL_SRAM_1_MEM1_D(15),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(14) => WB_MEM_CTRL_SRAM_1_MEM1_D(14),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(13) => WB_MEM_CTRL_SRAM_1_MEM1_D(13),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(12) => WB_MEM_CTRL_SRAM_1_MEM1_D(12),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(11) => WB_MEM_CTRL_SRAM_1_MEM1_D(11),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(10) => WB_MEM_CTRL_SRAM_1_MEM1_D(10),        -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(9)  => WB_MEM_CTRL_SRAM_1_MEM1_D(9),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(8)  => WB_MEM_CTRL_SRAM_1_MEM1_D(8),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(7)  => WB_MEM_CTRL_SRAM_1_MEM1_D(7),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(6)  => WB_MEM_CTRL_SRAM_1_MEM1_D(6),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(5)  => WB_MEM_CTRL_SRAM_1_MEM1_D(5),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(4)  => WB_MEM_CTRL_SRAM_1_MEM1_D(4),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(3)  => WB_MEM_CTRL_SRAM_1_MEM1_D(3),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(2)  => WB_MEM_CTRL_SRAM_1_MEM1_D(2),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(1)  => WB_MEM_CTRL_SRAM_1_MEM1_D(1),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_D(0)  => WB_MEM_CTRL_SRAM_1_MEM1_D(0),         -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_D[15..0]
        SRAM1_LB    => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_LB, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_LB
        SRAM1_OE    => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_OE, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_OE
        SRAM1_UB    => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_UB, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_UB
        SRAM1_WE    => PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_WE, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-SRAM1_WE
        STB_I       => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_STB, -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-STB_I
        WE_I        => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_WE -- ObjectKind=Pin|PrimaryId=WB_MEM_CTRL_SRAM_1-WE_I
      );

    WB_INTERCON_2 : Configurable_WB_INTERCON_2               -- ObjectKind=Part|PrimaryId=WB_INTERCON_2|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_WB_INTERCON_2_m0_ACK_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ACK_O
        m0_ADR_I => NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_ADR, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ADR_I[31..0]
        m0_CLK_I => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CLK_I
        m0_CYC_I => NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_CYC, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CYC_I
        m0_DAT_I => NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATIO, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_WB_INTERCON_2_m0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_O[31..0]
        m0_SEL_I => NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_SEL, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_SEL_I[3..0]
        m0_STB_I => NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_STB, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_STB_I
        m0_WE_I  => NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_WE, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_WE_I
        s0_ACK_I => NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ACK, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ACK_I
        s0_ADR_O => PinSignal_WB_INTERCON_2_s0_ADR_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ADR_O[19..0]
        s0_CYC_O => PinSignal_WB_INTERCON_2_s0_CYC_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_CYC_O
        s0_DAT_I => NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATOI, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_I[31..0]
        s0_DAT_O => PinSignal_WB_INTERCON_2_s0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_O[31..0]
        s0_SEL_O => PinSignal_WB_INTERCON_2_s0_SEL_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_WB_INTERCON_2_s0_STB_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_STB_O
        s0_WE_O  => PinSignal_WB_INTERCON_2_s0_WE_O          -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_WE_O
      );

    WB_INTERCON_1 : Configurable_WB_INTERCON_1               -- ObjectKind=Part|PrimaryId=WB_INTERCON_1|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_WB_INTERCON_1_m0_ACK_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ACK_O
        m0_ADR_I => NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_ADR, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ADR_I[23..0]
        m0_CLK_I => CLK_I,                                   -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CLK_I
        m0_CYC_I => NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_CYC, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CYC_I
        m0_DAT_I => NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATIO, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_WB_INTERCON_1_m0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_O[31..0]
        m0_SEL_I => NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_SEL, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_SEL_I[3..0]
        m0_STB_I => NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_STB, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_STB_I
        m0_WE_I  => NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_WE, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_WE_I
        s0_ACK_I => NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_ACK, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_ACK_I
        s0_ADR_O => PinSignal_WB_INTERCON_1_s0_ADR_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_ADR_O[8..0]
        s0_CYC_O => PinSignal_WB_INTERCON_1_s0_CYC_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_CYC_O
        s0_DAT_I => NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATOI, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_I[31..0]
        s0_DAT_O => PinSignal_WB_INTERCON_1_s0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_O[31..0]
        s0_SEL_O => PinSignal_WB_INTERCON_1_s0_SEL_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_WB_INTERCON_1_s0_STB_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_STB_O
        s0_WE_O  => PinSignal_WB_INTERCON_1_s0_WE_O          -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_WE_O
      );

    WB_ILI9320_1 : WB_ILI9320                                -- ObjectKind=Part|PrimaryId=WB_ILI9320_1|SecondaryId=1
      Port Map
      (
        DB_I     => WB_ILI9320_1_BUF_I,                      -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-DB_I[15..0]
        DB_O     => PinSignal_WB_ILI9320_1_DB_O,             -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-DB_O[15..0]
        DB_TRI   => PinSignal_WB_ILI9320_1_DB_TRI,           -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-DB_TRI
        io_ACK_O => PinSignal_WB_ILI9320_1_io_ACK_O,         -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_ACK_O
        io_ADR_I => NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_ADR, -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_ADR_I[8..0]
        io_CLK_I => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_CLK_I
        io_CYC_I => NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_CYC, -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_CYC_I
        io_DAT_I => NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATIO, -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_DAT_I[31..0]
        io_DAT_O => PinSignal_WB_ILI9320_1_io_DAT_O,         -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_DAT_O[31..0]
        io_INT_O => PinSignal_WB_ILI9320_1_io_INT_O,         -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_INT_O
        io_RST_I => NamedSignal_RST_I,                       -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_RST_I
        io_STB_I => NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_STB, -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_STB_I
        io_WE_I  => NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_WE, -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-io_WE_I
        me_ACK_I => NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ACK, -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_ACK_I
        me_ADR_O => PinSignal_WB_ILI9320_1_me_ADR_O,         -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_ADR_O[31..0]
        me_CYC_O => PinSignal_WB_ILI9320_1_me_CYC_O,         -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_CYC_O
        me_DAT_I => NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_DATOI, -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_DAT_I[31..0]
        me_SEL_O => PinSignal_WB_ILI9320_1_me_SEL_O,         -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_SEL_O[3..0]
        me_STB_O => PinSignal_WB_ILI9320_1_me_STB_O,         -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_STB_O
        me_WE_O  => PinSignal_WB_ILI9320_1_me_WE_O,          -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-me_WE_O
        nCS      => PinSignal_WB_ILI9320_1_nCS,              -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-nCS
        nRD      => PinSignal_WB_ILI9320_1_nRD,              -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-nRD
        nRESET   => PinSignal_WB_ILI9320_1_nRESET,           -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-nRESET
        nWR      => PinSignal_WB_ILI9320_1_nWR,              -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-nWR
        RS       => PinSignal_WB_ILI9320_1_RS                -- ObjectKind=Pin|PrimaryId=WB_ILI9320_1-RS
      );

    MICROBLAZE_1_LO : J16S_16B                               -- ObjectKind=Part|PrimaryId=MICROBLAZE_1_LO|SecondaryId=1
      Port Map
      (
        I0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I0
        I1  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I1
        I2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I2
        I3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I3
        I4  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I4
        I5  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I5
        I6  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I6
        I7  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I7
        I8  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I8
        I9  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I9
        I10 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I10
        I11 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I11
        I12 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I12
        I13 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I13
        I14 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I14
        I15 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-I15
        O   => PinSignal_MICROBLAZE_1_LO_O                   -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_LO-O[15..0]
      );

    MICROBLAZE_1_HI : J16S_16B                               -- ObjectKind=Part|PrimaryId=MICROBLAZE_1_HI|SecondaryId=1
      Port Map
      (
        I0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I0
        I1  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I1
        I2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I2
        I3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I3
        I4  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I4
        I5  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I5
        I6  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I6
        I7  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I7
        I8  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I8
        I9  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I9
        I10 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I10
        I11 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I11
        I12 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I12
        I13 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I13
        I14 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I14
        I15 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-I15
        O   => PinSignal_MICROBLAZE_1_HI_O                   -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1_HI-O[15..0]
      );

    MICROBLAZE_1 : Configurable_MICROBLAZE_1                 -- ObjectKind=Part|PrimaryId=MICROBLAZE_1|SecondaryId=1
      Port Map
      (
        CLK_I    => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-CLK_I
        INT_I    => NamedSignal_INTERRUPT_MICROBLAZE_1_INT_I, -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-INT_I[31..0]
        IO_ACK_I => NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_ACK, -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_ACK_I
        IO_ADR_O => PinSignal_MICROBLAZE_1_IO_ADR_O,         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_ADR_O[23..0]
        IO_CYC_O => PinSignal_MICROBLAZE_1_IO_CYC_O,         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_CYC_O
        IO_DAT_I => NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATOI, -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_DAT_I[31..0]
        IO_DAT_O => PinSignal_MICROBLAZE_1_IO_DAT_O,         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_DAT_O[31..0]
        IO_SEL_O => PinSignal_MICROBLAZE_1_IO_SEL_O,         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_SEL_O[3..0]
        IO_STB_O => PinSignal_MICROBLAZE_1_IO_STB_O,         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_STB_O
        IO_WE_O  => PinSignal_MICROBLAZE_1_IO_WE_O,          -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-IO_WE_O
        ME_ACK_I => NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_ACK, -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_ACK_I
        ME_ADR_O => PinSignal_MICROBLAZE_1_ME_ADR_O,         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_ADR_O[31..0]
        ME_CYC_O => PinSignal_MICROBLAZE_1_ME_CYC_O,         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_CYC_O
        ME_DAT_I => NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATOI, -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_DAT_I[31..0]
        ME_DAT_O => PinSignal_MICROBLAZE_1_ME_DAT_O,         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_DAT_O[31..0]
        ME_SEL_O => PinSignal_MICROBLAZE_1_ME_SEL_O,         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_SEL_O[3..0]
        ME_STB_O => PinSignal_MICROBLAZE_1_ME_STB_O,         -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_STB_O
        ME_WE_O  => PinSignal_MICROBLAZE_1_ME_WE_O,          -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-ME_WE_O
        RST_I    => NamedSignal_RST_I                        -- ObjectKind=Pin|PrimaryId=MICROBLAZE_1-RST_I
      );

    -- Signal Assignments
    ---------------------
    NamedSignal_CLK_I                                           <= CLK_I; -- ObjectKind=Net|PrimaryId=CLK_I
    NamedSignal_GND1_BUS                                        <= "0000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    NamedSignal_GND2_BUS                                        <= "00000000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=GND2_BUS[31..0]
    NamedSignal_INTERRUPT_MICROBLAZE_1_INT_I(15 downto 0)       <= PinSignal_MICROBLAZE_1_LO_O; -- ObjectKind=Net|PrimaryId=INTERRUPT_MICROBLAZE_1_INT_I[15..0]
    NamedSignal_INTERRUPT_MICROBLAZE_1_INT_I(31 downto 16)      <= PinSignal_MICROBLAZE_1_HI_O; -- ObjectKind=Net|PrimaryId=INTERRUPT_MICROBLAZE_1_INT_I[31..0]
    NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_ACK            <= PinSignal_WB_INTERCON_1_m0_ACK_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_ACK
    NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_ADR            <= PinSignal_MICROBLAZE_1_IO_ADR_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_ADR[23..0]
    NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_CYC            <= PinSignal_MICROBLAZE_1_IO_CYC_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_CYC
    NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATIO          <= PinSignal_MICROBLAZE_1_IO_DAT_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATIO[31..0]
    NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATOI          <= PinSignal_WB_INTERCON_1_m0_DAT_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_DATOI[31..0]
    NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_SEL            <= PinSignal_MICROBLAZE_1_IO_SEL_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_SEL[3..0]
    NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_STB            <= PinSignal_MICROBLAZE_1_IO_STB_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_STB
    NamedSignal_MICROBLAZE_1_M0_S0_WB_INTERCON_1_WE             <= PinSignal_MICROBLAZE_1_IO_WE_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M0_S0_WB_INTERCON_1_WE
    NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_ACK            <= PinSignal_WB_INTERCON_2_m0_ACK_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_ACK
    NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_ADR            <= PinSignal_MICROBLAZE_1_ME_ADR_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_ADR[31..0]
    NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_CYC            <= PinSignal_MICROBLAZE_1_ME_CYC_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_CYC
    NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATIO          <= PinSignal_MICROBLAZE_1_ME_DAT_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATIO[31..0]
    NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATOI          <= PinSignal_WB_INTERCON_2_m0_DAT_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_DATOI[31..0]
    NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_SEL            <= PinSignal_MICROBLAZE_1_ME_SEL_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_SEL[3..0]
    NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_STB            <= PinSignal_MICROBLAZE_1_ME_STB_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_STB
    NamedSignal_MICROBLAZE_1_M1_S0_WB_INTERCON_2_WE             <= PinSignal_MICROBLAZE_1_ME_WE_O; -- ObjectKind=Net|PrimaryId=MICROBLAZE_1_M1_S0_WB_INTERCON_2_WE
    NamedSignal_RST_I                                           <= RST_I; -- ObjectKind=Net|PrimaryId=RST_I
    NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ACK         <= PinSignal_WB_MULTIMASTER_1_s0_ACK_O; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ACK
    NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ADR         <= PinSignal_WB_ILI9320_1_me_ADR_O; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_ADR[31..0]
    NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_CYC         <= PinSignal_WB_ILI9320_1_me_CYC_O; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_CYC
    NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_DATIO       <= NamedSignal_GND2_BUS; -- ObjectKind=Net|PrimaryId=GND2_BUS[31..0]
    NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_DATOI       <= PinSignal_WB_MULTIMASTER_1_s0_DAT_O; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_DATOI[31..0]
    NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_SEL         <= PinSignal_WB_ILI9320_1_me_SEL_O; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_SEL[3..0]
    NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_STB         <= PinSignal_WB_ILI9320_1_me_STB_O; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_STB
    NamedSignal_WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_WE          <= PinSignal_WB_ILI9320_1_me_WE_O; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1_M0_S0_WB_MULTIMASTER_1_WE
    NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_ACK            <= PinSignal_WB_ILI9320_1_io_ACK_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_ACK
    NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_ADR            <= PinSignal_WB_INTERCON_1_s0_ADR_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_ADR[8..0]
    NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_CYC            <= PinSignal_WB_INTERCON_1_s0_CYC_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_CYC
    NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATIO          <= PinSignal_WB_INTERCON_1_s0_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATIO[31..0]
    NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATOI          <= PinSignal_WB_ILI9320_1_io_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_DATOI[31..0]
    NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_STB            <= PinSignal_WB_INTERCON_1_s0_STB_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_STB
    NamedSignal_WB_INTERCON_1_M0_S1_WB_ILI9320_1_WE             <= PinSignal_WB_INTERCON_1_s0_WE_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S1_WB_ILI9320_1_WE
    NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ACK        <= PinSignal_WB_MULTIMASTER_1_s1_ACK_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ACK
    NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ADR        <= PinSignal_WB_INTERCON_2_s0_ADR_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_ADR[19..0]
    NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_CYC        <= PinSignal_WB_INTERCON_2_s0_CYC_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_CYC
    NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATIO      <= PinSignal_WB_INTERCON_2_s0_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATIO[31..0]
    NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATOI      <= PinSignal_WB_MULTIMASTER_1_s1_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_DATOI[31..0]
    NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_SEL        <= PinSignal_WB_INTERCON_2_s0_SEL_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_SEL[3..0]
    NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_STB        <= PinSignal_WB_INTERCON_2_s0_STB_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_STB
    NamedSignal_WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_WE         <= PinSignal_WB_INTERCON_2_s0_WE_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S1_WB_MULTIMASTER_1_WE
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ACK   <= PinSignal_WB_MEM_CTRL_SRAM_1_ACK_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ACK
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ADR   <= PinSignal_WB_MULTIMASTER_1_m0_ADR_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_ADR[19..0]
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_CYC   <= PinSignal_WB_MULTIMASTER_1_m0_CYC_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_CYC
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATIO <= PinSignal_WB_MULTIMASTER_1_m0_DAT_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATIO[31..0]
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATOI <= PinSignal_WB_MEM_CTRL_SRAM_1_DAT_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_DATOI[31..0]
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_SEL   <= PinSignal_WB_MULTIMASTER_1_m0_SEL_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_SEL[3..0]
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_STB   <= PinSignal_WB_MULTIMASTER_1_m0_STB_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_STB
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_WE    <= PinSignal_WB_MULTIMASTER_1_m0_WE_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_MEM_CTRL_SRAM_1_WE
    PowerSignal_GND                                             <= '0'; -- ObjectKind=Net|PrimaryId=GND
    WB_ILI9320_1_BUF_O                                          <= PinSignal_WB_ILI9320_1_DB_O; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.BUF_O[15..0]
    WB_ILI9320_1_BUF_TRI                                        <= PinSignal_WB_ILI9320_1_DB_TRI; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.BUF_TRI
    WB_ILI9320_1_nCS                                            <= PinSignal_WB_ILI9320_1_nCS; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.nCS
    WB_ILI9320_1_nRD                                            <= PinSignal_WB_ILI9320_1_nRD; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.nRD
    WB_ILI9320_1_nRESET                                         <= PinSignal_WB_ILI9320_1_nRESET; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.nRESET
    WB_ILI9320_1_nWR                                            <= PinSignal_WB_ILI9320_1_nWR; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.nWR
    WB_ILI9320_1_RS                                             <= PinSignal_WB_ILI9320_1_RS; -- ObjectKind=Net|PrimaryId=WB_ILI9320_1.RS
    WB_MEM_CTRL_SRAM_1_MEM0_A                                   <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_A; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.A[17..0]
    WB_MEM_CTRL_SRAM_1_MEM0_CE                                  <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_CE; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.CE
    WB_MEM_CTRL_SRAM_1_MEM0_LB                                  <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_LB; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.LB
    WB_MEM_CTRL_SRAM_1_MEM0_OE                                  <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_OE; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.OE
    WB_MEM_CTRL_SRAM_1_MEM0_UB                                  <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_UB; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.UB
    WB_MEM_CTRL_SRAM_1_MEM0_WE                                  <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM0_WE; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM0.WE
    WB_MEM_CTRL_SRAM_1_MEM1_A                                   <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_A; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.A[17..0]
    WB_MEM_CTRL_SRAM_1_MEM1_CE                                  <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_CE; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.CE
    WB_MEM_CTRL_SRAM_1_MEM1_LB                                  <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_LB; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.LB
    WB_MEM_CTRL_SRAM_1_MEM1_OE                                  <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_OE; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.OE
    WB_MEM_CTRL_SRAM_1_MEM1_UB                                  <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_UB; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.UB
    WB_MEM_CTRL_SRAM_1_MEM1_WE                                  <= PinSignal_WB_MEM_CTRL_SRAM_1_SRAM1_WE; -- ObjectKind=Net|PrimaryId=WB_MEM_CTRL_SRAM_1_MEM1.WE

end structure;
------------------------------------------------------------

